from ccdc import io 

reader = io.EntryReader('CSD')
entry = reader.entry('HXACAN28')

print(f"RefCode : {entry.identifier}")
print(f"Formula : {entry.formula}")
print(f"Density : {entry.calculated_density}")


crystal = entry.crystal 

print(crystal.cell_angles)
print(f"Crystal System : {crystal.crystal_system}")
print(f"SpaceGroup     : {crystal.spacegroup_symbol}")


molecule = crystal.molecule 

print(f"Number of atoms {len(molecule.atoms)}")
print(f"is it organic {molecule.is_organic}")


atom = molecule.atoms[0]

print(atom.coordinates)
print(atom.fractional_coordinates)

print(f"Occupancy : {atom.occupancy}")
print(f"Neighbours : {atom.neighbours}")

reader = io.CrystalReader('CSD')
crystal = reader.crystal('HXACAN28')

print(f"\n=== Crystal Reader===")
print(f"{crystal.cell_angles}")
print(f"Crystal System : {crystal.crystal_system}")
print(f"SpaceGroup     : {crystal.spacegroup_symbol}")

#Reading with Molecular Reader
molecule = io.MoleculeReader('CSD').molecule('HXACAN28')
print(f"\n=== Molecule Reader===")
print(f"Number of Atoms in molecule {len(molecule.atoms)}")
print(f"Is mol organic : {molecule.is_organic}")

print(f"\n=== Crystal Reader Cif file===")
crystal = io.CrystalReader('HXACAN28.cif', format='cif')[0]
print(f"{crystal.cell_angles}")
print(f"Crystal System : {crystal.crystal_system}")
print(f"SpaceGroup     : {crystal.spacegroup_symbol}")